#include <Servo.h>

const int hallPin = 7; // Hall effect sensor output pin
const int servoPin = 4; // Servo control pin
Servo myservo;
int sensorState = 0;

void setup() {
pinMode(hallPin, INPUT_PULLUP);
myservo.attach(servoPin);
myservo.write(0); // Initial position
Serial.begin(9600);
}

void loop() {
sensorState = digitalRead(hallPin);
if (sensorState == LOW) {
myservo.write(90); // Move servo to 90 degrees
Serial.println("Magnet detected");
delay(1500);
myservo.write(130);
delay(500);
myservo.write(90);
delay(4500);
} else {
myservo.write(0); // Move servo back to 0 degrees
Serial.println("No magnet detected");
}
delay(100); // Debounce delay
}